<?xml version='1.0' encoding='UTF-8'?><profile><name>Extra Rules</name><language>cs</language><rules><rule><repositoryKey>csharpsquid</repositoryKey><key>S1006</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S101</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1048</key><type>BUG</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S105</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1066</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S107</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters><parameter><key>max</key><value>7</value></parameter></parameters></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1075</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S108</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S110</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters><parameter><key>max</key><value>5</value></parameter></parameters></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1104</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1110</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1116</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1117</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1118</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S112</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1121</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1123</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1125</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1134</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1135</key><type>CODE_SMELL</type><priority>INFO</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1144</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1155</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1163</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1168</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1172</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1185</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1186</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1192</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters><parameter><key>threshold</key><value>3</value></parameter></parameters></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1199</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1206</key><type>BUG</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1210</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1215</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S122</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S125</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1264</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S127</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1313</key><type>SECURITY_HOTSPOT</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S134</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters><parameter><key>maximumNestingLevel</key><value>3</value></parameter></parameters></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1450</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1479</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters><parameter><key>maximum</key><value>30</value></parameter></parameters></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1481</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1607</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1643</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1656</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1698</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1699</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1751</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1764</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1848</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1854</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1862</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1871</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1905</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1939</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1940</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1944</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S1994</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2053</key><type>VULNERABILITY</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2068</key><type>SECURITY_HOTSPOT</type><priority>BLOCKER</priority><parameters><parameter><key>credentialWords</key><value>password, passwd, pwd, passphrase</value></parameter></parameters></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2077</key><type>SECURITY_HOTSPOT</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2092</key><type>SECURITY_HOTSPOT</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2114</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2115</key><type>VULNERABILITY</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2123</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2178</key><type>CODE_SMELL</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2183</key><type>BUG</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2184</key><type>BUG</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2187</key><type>CODE_SMELL</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2190</key><type>BUG</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2201</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2219</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2221</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2222</key><type>BUG</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2223</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2225</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2234</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2245</key><type>SECURITY_HOTSPOT</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2251</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2252</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2257</key><type>SECURITY_HOTSPOT</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2259</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2275</key><type>BUG</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2290</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2291</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2292</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2302</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2306</key><type>CODE_SMELL</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2326</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2327</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2328</key><type>BUG</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2342</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters><parameter><key>format</key><value>^([A-Z]{1,3}[a-z0-9]+)*([A-Z]{2})?$</value></parameter><parameter><key>flagsAttributeFormat</key><value>^([A-Z]{1,3}[a-z0-9]+)*([A-Z]{2})?s$</value></parameter></parameters></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2344</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2345</key><type>BUG</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2346</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2365</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2368</key><type>CODE_SMELL</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2372</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2376</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2386</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2436</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters><parameter><key>max</key><value>2</value></parameter><parameter><key>maxMethod</key><value>3</value></parameter></parameters></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2437</key><type>CODE_SMELL</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2479</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2486</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2551</key><type>BUG</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2583</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2589</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2612</key><type>SECURITY_HOTSPOT</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2681</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2688</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2692</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2696</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2699</key><type>CODE_SMELL</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2737</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2743</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2755</key><type>VULNERABILITY</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2757</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2761</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2857</key><type>BUG</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2930</key><type>BUG</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2933</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2934</key><type>BUG</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2952</key><type>BUG</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2953</key><type>CODE_SMELL</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2971</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2995</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2996</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S2997</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3005</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3010</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3011</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3060</key><type>CODE_SMELL</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3168</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3169</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3172</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3216</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3217</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3218</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3220</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3236</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3237</key><type>CODE_SMELL</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3241</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3244</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3246</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3247</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3249</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3251</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3256</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3260</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3261</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3262</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3263</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3264</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3265</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3267</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3329</key><type>VULNERABILITY</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3330</key><type>SECURITY_HOTSPOT</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3343</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3346</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3353</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3358</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3376</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3397</key><type>BUG</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3400</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3415</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3427</key><type>CODE_SMELL</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3433</key><type>CODE_SMELL</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3440</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3442</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3443</key><type>CODE_SMELL</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3444</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3445</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3447</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3449</key><type>BUG</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3450</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3451</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3453</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3456</key><type>BUG</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3457</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3458</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3459</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3464</key><type>BUG</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3466</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3597</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3598</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3600</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3603</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3604</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3610</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3626</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3655</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3717</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3776</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters><parameter><key>threshold</key><value>15</value></parameter><parameter><key>propertyThreshold</key><value>3</value></parameter></parameters></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3869</key><type>BUG</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3871</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3874</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3875</key><type>CODE_SMELL</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3877</key><type>CODE_SMELL</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3881</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3884</key><type>VULNERABILITY</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3885</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3887</key><type>BUG</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3889</key><type>BUG</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3897</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3898</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3903</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3904</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3923</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3925</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3926</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3927</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3928</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3949</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3956</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3963</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3966</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3971</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3972</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3973</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3981</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3984</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3994</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3995</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3996</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S3998</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4000</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4015</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4019</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4035</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4036</key><type>SECURITY_HOTSPOT</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4041</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4061</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4070</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4136</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4143</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4144</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4158</key><type>BUG</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4159</key><type>BUG</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4200</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4201</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4210</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4211</key><type>VULNERABILITY</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4212</key><type>VULNERABILITY</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4220</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4260</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4275</key><type>BUG</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4277</key><type>BUG</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4423</key><type>VULNERABILITY</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4426</key><type>VULNERABILITY</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4428</key><type>BUG</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4433</key><type>VULNERABILITY</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4456</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4457</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4487</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4502</key><type>SECURITY_HOTSPOT</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4507</key><type>SECURITY_HOTSPOT</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4524</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4581</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4583</key><type>BUG</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4586</key><type>BUG</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4635</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4790</key><type>SECURITY_HOTSPOT</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4792</key><type>SECURITY_HOTSPOT</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S4830</key><type>VULNERABILITY</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S5034</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S5042</key><type>SECURITY_HOTSPOT</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S5122</key><type>SECURITY_HOTSPOT</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S5332</key><type>SECURITY_HOTSPOT</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S5443</key><type>SECURITY_HOTSPOT</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S5445</key><type>VULNERABILITY</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S5542</key><type>VULNERABILITY</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S5547</key><type>VULNERABILITY</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S5659</key><type>VULNERABILITY</type><priority>CRITICAL</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S5693</key><type>SECURITY_HOTSPOT</type><priority>MAJOR</priority><parameters><parameter><key>fileUploadSizeLimit</key><value>8000000</value></parameter></parameters></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S5753</key><type>SECURITY_HOTSPOT</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S5766</key><type>SECURITY_HOTSPOT</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S5773</key><type>VULNERABILITY</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S6419</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S6420</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S6422</key><type>CODE_SMELL</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S6424</key><type>CODE_SMELL</type><priority>BLOCKER</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S6444</key><type>SECURITY_HOTSPOT</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S818</key><type>CODE_SMELL</type><priority>MINOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S907</key><type>CODE_SMELL</type><priority>MAJOR</priority><parameters/></rule><rule><repositoryKey>csharpsquid</repositoryKey><key>S927</key><type>CODE_SMELL</type><priority>CRITICAL</priority><parameters/></rule></rules></profile>